"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
require("clsx");
const useProps = require("../../../core/MantineProvider/use-props/use-props.cjs");
const Box = require("../../../core/Box/Box.cjs");
const factory = require("../../../core/factory/factory.cjs");
const Combobox_context = require("../Combobox.context.cjs");
const Combobox_module_css = require("../Combobox.module.css.cjs");
const defaultProps = {};
const ComboboxEmpty = factory.factory((props, ref) => {
  const { classNames, className, style, styles, vars, ...others } = useProps.useProps(
    "ComboboxEmpty",
    defaultProps,
    props
  );
  const ctx = Combobox_context.useComboboxContext();
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...ctx.getStyles("empty", { className, classNames, styles, style }),
      ...others
    }
  );
});
ComboboxEmpty.classes = Combobox_module_css.default;
ComboboxEmpty.displayName = "@mantine/core/ComboboxEmpty";
exports.ComboboxEmpty = ComboboxEmpty;
